# Proxmox

Guide to install Proxmox VE

## From Debian 10 Buster

Follow [install-linux.md](https://gogs.jovian-hersemeule.eu/DricomDragon/JovianLinux/src/master/Guides/install-linux.md)

[Follow the Proxmox Wiki](https://pve.proxmox.com/wiki/Install_Proxmox_VE_on_Debian_Buster)

Example of _/etc/hosts_ with IP's from VPS console and domain name redirecting to vps address :
```
127.0.0.1       localhost.localdomain localhost

51.38.184.247				pve.jovian-hersemeule.eu halley
2001:41d0:305:2100::a30d	pve.jovian-hersemeule.eu halley

::1	localhost	ip6-localhost	ip6-loopback
ff02::1	ip6-allnodes
ff02::2	ip6-allrouters
```

Install requirements :
```
sudo su
cd
echo "deb http://download.proxmox.com/debian/pve buster pve-no-subscription" > /etc/apt/sources.list.d/pve-install-repo.list
wget http://download.proxmox.com/debian/proxmox-ve-release-6.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
chmod +r /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
apt update && apt full-upgrade
```

Choose _keep the locale version_ of GRUB if asked.

Install Proxmox VE :
```
apt install proxmox-ve postfix open-iscsi
```

Remove PVE subscription :
```
rm /etc/apt/sources.list.d/pve-enterprise.list
```

**Warning : do not use ifupdown2 to apply network changes !!!** Prefer manual reboot.

## Web UI

Connect to web UI.

Enable 2FA.
